Package twisted :: Package internet :: Module interfaces :: Class IReactorFDSet |
[frames | no frames]

## Class IReactorFDSet

    Interface --+
                |
               IReactorFDSet

Implement me to be able to use FileDescriptor type resources.

This assumes that your main-loop uses UNIX-style numeric file descriptors (or at least similarly opaque IDs returned from a .fileno() method)

Method Summary
| ``addReader`(self, reader)` I add reader to the set of file descriptors to get read events for.
| ``addWriter`(self, writer)` I add writer to the set of file descriptors to get write events for.
| ``removeReader`(self, reader)` Removes an `IReadDescriptor` added with `addReader`.
| ``removeWriter`(self, writer)` Removes an `IWriteDescriptor` added with `addWriter`.

Method Details

### addReader(self, reader) I add reader to the set of file descriptors to get read events for. Parameters: `reader` - An `IReadDescriptor` that will be checked for read events until it is removed from the reactor with `removeReader`. Returns: `None`.

### addWriter(self, writer) I add writer to the set of file descriptors to get write events for. Parameters: `writer` - An `IWriteDescriptor` that will be checked for read events until it is removed from the reactor with `removeWriter`. Returns: `None`.

### removeReader(self, reader) Removes an `IReadDescriptor` added with `addReader`. Returns: `None`.

### removeWriter(self, writer) Removes an `IWriteDescriptor` added with `addWriter`. Returns: `None`.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:54 2003 | http://epydoc.sf.net